Subject: [rfc-i] Try this: was Re: New proposal/New SOW comment period

From: Michael StJohns <[email-masked]>
Date: Sun, 8 Sep 2019 11:50:32 -0400

After thinking about it a bit, I decided I really didn't like the SOW as 
it mostly ignored the input the community had given in the discussion to 
the run up to the SOW.   So I wrote a new one.  This one mostly 
completely replaces the project summary with something a bit clearer for 
the bidders and I think more accurately describes the role of the PM as 
acting RSE.  The reporting relationship was changed to more accurately 
reflect the legal relationship between the bidder, the LLC and the RSOC 
and to constrain some of the issues we encountered in the last few months.

Much of the Education and experience section survived, albeit rearranged 
and word twiddled in places.

Ditto for the skills section.

The "Operational Oversight" section is replaced by "Typical 
Deliverables" and broken up into three sections as I suggested in an 
earlier email.

I also added an "optional deliverable" to cover April fool's RFCs.

This is basically an SOW for an RSE, but with the exclusion of planning 
for evolution of the series.  That was the only thing I could find as 
"strategic".

Discuss!

Mike

_______________________________________________
rfc-interest mailing list
[email-masked]
https://www.rfc-editor.org/mailman/listinfo/rfc-interest

---

From: "RFC ISE (Adrian Farrel)" <[email-masked]>
Date: Sun, 8 Sep 2019 18:25:48 -0000

Hi Mike,

With my ISE hat on...

> I also added an "optional deliverable" to cover April fool's RFCs.

While the ISE in some sense sits under the RSE, I believe that the 4/1
RFCs are the responsibility of the ISE, not the RSE.

Operationally, the ISE has always asked the for an opinion on candidate
documents, but the final decision has been with the ISE.

I don't think you need to include this in the SoW.

Best,
Adrian
-- 
Adrian Farrel (ISE),
[email-masked]

---

From: Michael StJohns <[email-masked]>
Date: Sun, 8 Sep 2019 14:57:34 -0400

> I don't think you need to include this in the SoW.

OOPS!   Noted and easy enough to remove.

Let's see where/if this goes first...

Mike

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 10 Sep 2019 14:11:38 +1200

With that fix, Mike's draft looks pretty good to me.

Regards
   Brian

---

From: Lucy Lynch <[email-masked]>
Date: Mon, 9 Sep 2019 21:14:05 -0700

Sent from my iPhone

> On Sep 9, 2019, at 7:11 PM, Brian E Carpenter <[email-masked]> wrote:
> 

I agree - this is much closer to what I’d expect to see if I was looking at this job as a potential candidate

---

From: "Andrew G. Malis" <[email-masked]>
Date: Tue, 10 Sep 2019 11:34:11 -0400

I also agree - just some editorial suggestions. As the reader may not be
completely familiar with the RFC series or RFC Editor role, an early
reference to rfc-editor.org would be helpful. In addition, all document
references, especially RFC references, should be hyperlinks.

Cheers,
Andy

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 11 Sep 2019 08:38:43 +1200

> This draft disclaims or contradicts RFC 6635 at a few points. 

Do we really need to worry about that? This is a time of change and I don't think it matters if we deviate from the letter of a 7-year-old Informational document.

Regards
   Brian Carpenter

On 11-Sep-19 08:00, Richard Barnes wrote:
> Hi Mike,
> 
> Thanks for taking the time to put this together.  It looks much more like what I would expect an SOW / JD to look like than prior drafts.
> 
> Unfortunately, I don't think it's a suitable starting point for a process that is premised on RFC 6635.  Despite the fact that you've called it a PM, the contractor being engaged here will act as RSE, even if only on an interim basis.  So RFC 6635 clearly applies.
> 
> This draft disclaims or contradicts RFC 6635 at a few points.  Specifically, the paragraphs in the summary starting "The PM, as acting RSE, ..." and "The general responsibilities...." are incompatible with RFC 6635, and the "Reporting Relationships" section significantly underplays the role of the RSOC.  
> 
> One of the foundational ideas in forming the LLC was that it would follow the will of the community, and RFC 6635 encodes the community's expectation of how the RSE role should be realized.  So it is incumbent on the LLC to follow the RFC (including, for example, facilitating the RSOC's oversight), and this solicitation needs to reflect that.
> 
> In case the RSOC does choose to use draw on this document, a couple of more specific comments are below.
> 
> --Richard
> 
> 
> - I don't see a lot of value in calling this role a PM, as opposed to just a temporary RSE.
> 
> - Under "Education and Experience Requirements", I would lead with the leadership requirement (i.e., swap the first two bullets).  As has been discussed at length here, the RSE (even interim) is not an editor.
> 
> - There's still some ambiguity here about the relationship to the RPC and Publisher.  If I understand the intent here correctly, the idea is that this PM is not PM'ing the RPC, but rather observing and opining on their performance (and providing advice as necessary), as input to someone at the LLC who actually manages that contract.  But that seems in conflict with the deliverables that use verbs like "coordinate" and "resolve issues".  It would be good to clarify this, probably in the "Reporting Relationships" section.
> 
> - As others have noted, the April 1 RFCs belong to the ISE, not the RSE.
> 
> On Sun, Sep 8, 2019 at 11:51 AM Michael StJohns <[email-masked] <mailto:msj@nthpermutation..com>> wrote:
>

---

From: Eric Rescorla <[email-masked]>
Date: Tue, 10 Sep 2019 13:45:17 -0700

On Tue, Sep 10, 2019 at 1:39 PM Brian E Carpenter <
[email-masked]> wrote:

> Do we really need to worry about that? This is a time of change and I
> don't think it matters if we deviate from the letter of a 7-year-old
> Informational document.
>

Not Richard, but it seems to me that either one feels constrained by these
documents or one does not. And if not, then I think we need to more
generally ask whether the 6635 structure is even approximately right.

-Ekr

Regards
> > Thanks for taking the time to put this together.  It looks much more
> like what I would expect an SOW / JD to look like than prior drafts.
> >
> > Unfortunately, I don't think it's a suitable starting point for a
> process that is premised on RFC 6635.  Despite the fact that you've called
> it a PM, the contractor being engaged here will act as RSE, even if only on
> an interim basis.  So RFC 6635 clearly applies.
> >
> Specifically, the paragraphs in the summary starting "The PM, as acting
> RSE, ..." and "The general responsibilities...." are incompatible with RFC
> 6635, and the "Reporting Relationships" section significantly underplays
> the role of the RSOC.
> >
> > One of the foundational ideas in forming the LLC was that it would
> follow the will of the community, and RFC 6635 encodes the community's
> expectation of how the RSE role should be realized.  So it is incumbent on
> the LLC to follow the RFC (including, for example, facilitating the RSOC's
> oversight), and this solicitation needs to reflect that.
> >
> > - Under "Education and Experience Requirements", I would lead with the
> leadership requirement (i.e., swap the first two bullets).  As has been
> discussed at length here, the RSE (even interim) is not an editor.
> >
> > - There's still some ambiguity here about the relationship to the RPC
> and Publisher.  If I understand the intent here correctly, the idea is that
> this PM is not PM'ing the RPC, but rather observing and opining on their
> performance (and providing advice as necessary), as input to someone at the
> LLC who actually manages that contract.  But that seems in conflict with
> the deliverables that use verbs like "coordinate" and "resolve issues".  It
> would be good to clarify this, probably in the "Reporting Relationships"
> section.
> >

---

From: "Joel M. Halpern" <[email-masked]>
Date: Tue, 10 Sep 2019 17:10:33 -0400

Maybe I misunderstood the RSOC message.
I thought they had indicated that they were NOT trying to hire an RSE as 
defined by RFC 6635 and its details.  Rather, as I understood them, they 
were hiring someone in a temporary capacity (explicitly NOT an acting 
RSE) to keep the series running while the community decides what it wants.

Sure, that is breaking the letter of the law.  I believe we all know 
that.  I actually appreciate that the RSOC understands that trying to 
follow the letter of the law at the current time is a bad idea.

Given that we are on a path where we are not following the letter of the 
laaw, it seems to me reasonable (good?  bad?  that is a different 
question, but clearly reasonable) to use that latitude in formulating 
the SoW so as to describe what we want, not what the letter of the law says.

Since our rules are not laws, and we are practical people, that seems okay.
And since reaching community agreement on what we do want is CLEARLY 
going to take some time, I do not see how the LLC can say that they will 
wait to hire someone to keep the trains running while we figure out what 
we really want.

So yes EKR, this SoW violates the letter of RFC 6635.  And if we want, 
as a temporary measure, to violate it further in the interest of keeping 
things on track while we figure out what we want, then explain what 
further changes are needed.

Sure, I would prefer that we were all in agreement on what the job 
really was, and we could hire the right person to hold the job for a 
number of years.  But we are not in such agreement.

Yours,
Joel

On 9/10/2019 4:59 PM, Richard Barnes wrote:
> On Tue, Sep 10, 2019 at 16:45 Eric Rescorla <[email-masked] 
> <mailto:[email-masked]>> wrote:
> 
> 
> 
>     On Tue, Sep 10, 2019 at 1:39 PM Brian E Carpenter
>     <[email-masked] <mailto:[email-masked]>>
>     wrote:
> 
>         Do we really need to worry about that? This is a time of change
>         and I don't think it matters if we deviate from the letter of a
>         7-year-old Informational document.
> 
> 
>     Not Richard, but it seems to me that either one feels constrained by
>     these documents or one does not. And if not, then I think we need to
>     more generally ask whether the 6635 structure is even approximately
>     right.
> 
> 
> Am Richard, concur with what EKR says here.
> 
> Even if one disagrees with the content of RFC 6635 (which we probably 
> all do, in different ways), there are other, non-Informational documents 
> that specify how to replace it with something that has community 
> consensus.  And this ain’t it.
> 
> —Richard
> 
> 
> 
>     -Ekr
> 
> 
>         Regards
>             Brian Carpenter
> 
>          > Thanks for taking the time to put this together.  It looks
>         much more like what I would expect an SOW / JD to look like than
>         prior drafts.
>          >
>          > Unfortunately, I don't think it's a suitable starting point
>         for a process that is premised on RFC 6635.  Despite the fact
>         that you've called it a PM, the contractor being engaged here
>         will act as RSE, even if only on an interim basis.  So RFC 6635
>         clearly applies.
>          >
>          > This draft disclaims or contradicts RFC 6635 at a few
>         points.  Specifically, the paragraphs in the summary starting
>         "The PM, as acting RSE, ..." and "The general
>         responsibilities...." are incompatible with RFC 6635, and the
>         "Reporting Relationships" section significantly underplays the
>         role of the RSOC.
>          >
>          > One of the foundational ideas in forming the LLC was that it
>         would follow the will of the community, and RFC 6635 encodes the
>         community's expectation of how the RSE role should be realized. 
>         So it is incumbent on the LLC to follow the RFC (including, for
>         example, facilitating the RSOC's oversight), and this
>         solicitation needs to reflect that.
>          >
>          > In case the RSOC does choose to use draw on this document, a
>         couple of more specific comments are below.
>          >
>          > --Richard
>          >
>          >
>          > - Under "Education and Experience Requirements", I would lead
>         with the leadership requirement (i.e., swap the first two
>         bullets).  As has been discussed at length here, the RSE (even
>         interim) is not an editor.
>          >
>          > - There's still some ambiguity here about the relationship to
>         the RPC and Publisher.  If I understand the intent here
>         correctly, the idea is that this PM is not PM'ing the RPC, but
>         rather observing and opining on their performance (and providing
>         advice as necessary), as input to someone at the LLC who
>         actually manages that contract.  But that seems in conflict with
>         the deliverables that use verbs like "coordinate" and "resolve
>         issues".  It would be good to clarify this, probably in the
>         "Reporting Relationships" section.
>          >
>          > On Sun, Sep 8, 2019 at 11:51 AM Michael StJohns
>         <[email-masked] <mailto:[email-masked]>
>         <mailto:msj@nthpermutation. <mailto:msj@nthpermutation.>.com>>
>         wrote:
>          >

---

From: "Salz, Rich" <[email-masked]>
Date: Tue, 10 Sep 2019 22:08:05 +0000

>Even if one disagrees with the content of RFC 6635 (which we probably all do, in different ways), there are other, non-Informational documents that specify how to replace it with something that has community consensus.  And this ain’t it.

Agree.  We have a process/mechanism. One of the worst things we could do is ignore it because “this time it’s different”

---

From: "Joel M. Halpern" <[email-masked]>
Date: Tue, 10 Sep 2019 18:29:43 -0400

It sounds like you disagree with the IAB / RSOC's decision to hire 
someone who would be responsible for some aspects of the RSE role but 
not for all such aspects.
If you do not believe the IAB / RSOC has the right / responsibility / 
permissions needed to do that, then it would seem we have a more basic 
problem than Mike's rewrite of the SoW.
(I have lots of disagreements with recent RSOC decisions.  This happens 
to be one where I think the IAB and the RSOC have made the best of a bad 
set of choices.)

Yours,
Joel

On 9/10/2019 6:08 PM, Salz, Rich wrote:
> Agree.  We have a process/mechanism. One of the worst things we could do 
> is ignore it because “this time it’s different”
> 
>

---

From: Michael StJohns <[email-masked]>
Date: Tue, 10 Sep 2019 18:45:00 -0400

On 9/10/2019 5:10 PM, Joel M. Halpern wrote:
> I thought they had indicated that they were NOT trying to hire an RSE 
> as defined by RFC 6635 and its details.  Rather, as I understood them, 
> they were hiring someone in a temporary capacity (explicitly NOT an 
> acting RSE) to keep the series running while the community decides 
> what it wants. 

Hi Joel -

I found/find the RSOC message somewhat mixed.  On one hand we have what 
was in the emails (from Ted and the RSOC) and the pre-amble to the SOW 
that says "temporary, non-RSE" and then there's the experience and 
deliverables in the draft SOW which have no more than a playing card's 
thickness difference from the deliverables in the SOW under which 
Heather was hired.  As far as I can tell (IMHO) RSOC's draft SOW mostly 
takes away the authorities of the RSE while leaving most if not all of 
the responsibilities.   I did ask how these two positions differed and 
which responsibilities should be removed to make the difference clear - 
Sarah asked me to propose text, so I did albeit not in the way she might 
have expected.

   I re-wrote that SOW - especially the preamble - to reflect a more 
acting RSE model which made sure that there was an identified 
"responsible person" for all of the current RSE responsiblities. If the 
RSOC and the IAB want something that's distinctly not an acting RSE, 
they're probably going to need a substantially different SOW and a much 
more constrained set of responsibilities/deliverables as well as an 
explanation of who gets the authority and responsibility over the 
remaining set (if any).

I clipped out the rest of your text as it applies equally well to 
arguing for/against a 6635 centric model and I want to think about it a 
bit more.

later, Mike

---

From: "Salz, Rich" <[email-masked]>
Date: Tue, 10 Sep 2019 22:58:51 +0000

I think finding a caretaker to keep the publications flowing need not be inconsistent with the RFC's.

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 11 Sep 2019 11:04:42 +1200

(Sorry for repeat, I messed up the CCs).

On 11-Sep-19 10:06, Richard Barnes wrote:
> That was not my understanding, FWIW.   Maybe the RSOC could clarify?
> 
> Mike’s proposal seems even weirder through your lens, though, since it does not describe a caretaker RSE role, but rather a full on RSE in every regard except the application of the oversight specified in RFC 6635..  

They're *our* rules so we can choose to ignore them or change them. Can we just evaluate Mike's proposal on its merits: does it describe what we want to happen next?

There's a parallel discussion needed about how we'd like to change the rules. And the changes proposed might be radical. That's why I wrote https://www.cs.auckland.ac.nz/~brian/CommentaryIAB.pdf, and why we have some RFC Editor Model virtual interims coming up.

   Brian

> 
> —RLB
> 
> 
> On Tue, Sep 10, 2019 at 17:10 Joel M. Halpern <[email-masked] <mailto:[email-masked]>> wrote:
> 
>     the SoW so as to describe what we want, not what the letter of the law says..
> 
>     > On Tue, Sep 10, 2019 at 16:45 Eric Rescorla <[email-masked] <mailto:[email-masked]>
>     > <mailto:[email-masked] <mailto:[email-masked]>>> wrote:
>     >
>     >
>     >
>     >     <[email-masked] <mailto:[email-masked]> <mailto:[email-masked] <mailto:[email-masked]>>>
>     >     wrote:
>     >
>     >          > This draft disclaims or contradicts RFC 6635 at a few points.
>     >
>     >          > Hi Mike,
>     >          >
>     >          > Thanks for taking the time to put this together.  It looks
>     >          >
>     >          > Unfortunately, I don't think it's a suitable starting point
>     >          >
>     >          > This draft disclaims or contradicts RFC 6635 at a few
>     >          >
>     >          > One of the foundational ideas in forming the LLC was that it
>     >          >
>     >          > In case the RSOC does choose to use draw on this document, a
>     >          >
>     >          > --Richard
>     >          >
>     >          >
>     >          > - I don't see a lot of value in calling this role a PM, as
>     >         opposed to just a temporary RSE.
>     >          >
>     >          > - Under "Education and Experience Requirements", I would lead
>     >          >
>     >          > - There's still some ambiguity here about the relationship to
>     >          >
>     >          > - As others have noted, the April 1 RFCs belong to the ISE,
>     >         not the RSE.
>     >          >
>     >          > On Sun, Sep 8, 2019 at 11:51 AM Michael StJohns
>     >         <[email-masked] <mailto:[email-masked]> <mailto:[email-masked] <mailto:[email-masked]>>
>     >         <mailto:msj@nthpermutation <mailto:msj@nthpermutation>. <mailto:msj@nthpermutation <mailto:msj@nthpermutation>.>.com>>
>     >         wrote:
>     >          >
>     >          >     After thinking about it a bit, I decided I really didn't
>     >         like the SOW as
>     >          >     it mostly ignored the input the community had given in
>     >         the discussion to
>     >          >     the run up to the SOW.   So I wrote a new one.  This one
>     >         mostly
>     >          >     completely replaces the project summary with something a
>     >         bit clearer for
>     >          >     the bidders and I think more accurately describes the
>     >         role of the PM as
>     >          >     acting RSE.  The reporting relationship was changed to
>     >         more accurately
>     >          >     reflect the legal relationship between the bidder, the
>     >         LLC and the RSOC
>     >          >     and to constrain some of the issues we encountered in the
>     >         last few months.
>     >          >
>     >          >     Much of the Education and experience section survived,
>     >         albeit rearranged
>     >          >     and word twiddled in places.
>     >          >
>     >          >     Ditto for the skills section.
>     >          >
>     >          >     The "Operational Oversight" section is replaced by "Typical
>     >          >     Deliverables" and broken up into three sections as I
>     >         suggested in an
>     >          >     earlier email.
>     >          >
>     >          >     I also added an "optional deliverable" to cover April
>     >         fool's RFCs.
>     >          >
>     >          >     This is basically an SOW for an RSE, but with the
>     >         exclusion of planning
>     >          >     for evolution of the series.  That was the only thing I
>     >         could find as
>     >          >     "strategic".
>     >          >
>     >          >     Discuss!
>     >          >
>     >          >     Mike
>     >          >
>     >          >
>     >          >
>     >
>

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 11 Sep 2019 11:06:40 +1200

> Agree.  We have a process/mechanism. One of the worst things we could do is ignore it because “this time it’s different”

If it isn't already clear, I strongly disagree. When our self-imposed rules have proved to be problematic, ignoring them is exactly the right thing to do, unless it's illegal.

   Brian

---

From: Michael StJohns <[email-masked]>
Date: Tue, 10 Sep 2019 19:11:23 -0400

Hi Richard - in line

On 9/10/2019 4:00 PM, Richard Barnes wrote:
> process that is premised on RFC 6635.  Despite the fact that you've 
> called it a PM, the contractor being engaged here will act as RSE, 
> even if only on an interim basis.  So RFC 6635 clearly applies.

There's at least three counter-points to that point of view:

1) We've got an LLC, we didn't have an LLC when this was written.   The 
LLC will write the contract and legal language trumps non-binding text.  
The person or persons bidding on the contract will mostly get a say in 
how much if any of 6635 applies (e.g. "incorporated by reference") when 
the contract is negotiated.

2) 6635 was an IAB document, not a community consensus document and as 
such only describes what the IAB thought the model should be.  As such, 
the IAB can waive as much or as little of that as it wants; bringing us 
to point (3).

2a) Also as not-a-community-consensus document, the internet community 
could consider it's not bound by that document and the LLC could take 
notice.

3) The IAB and the RSOC has already waived section 2.2.5 of 6635 in both 
the SOW that was crafted for Heather and in this draft SOW, so obviously 
even the IAB and RSOC don't consider 6635 sacrosanct.

>   * A note about RFC6635: Section 2.1.5 (Workload) of RFC6635 is not
>     applicable to this Statement of Work.
>

> Specifically, the paragraphs in the summary starting "The PM, as 
> acting RSE, ..." and "The general responsibilities...." are 
> incompatible with RFC 6635, and the "Reporting Relationships" section 
> significantly underplays the role of the RSOC.

Yup - but see point 1 above.   We have a legal entity that will be 
holding the contract and this is not us telling the ISOC what we'd like 
and the ISOC doing what's legal as before.  Cf "performance review".

> expectation of how the RSE role should be realized.  So it is 
> incumbent on the LLC to follow the RFC (including, for example, 
> facilitating the RSOC's oversight), and this solicitation needs to 
> reflect that.

And when we have a community consensus document, I'd be happy to have 
the LLC follow that.  6635 encoded the IAB of 2009's understanding of 
the RSE role, but had as subtext the actual role of the RSE as executed 
by Bob, Joyce and Jon.   I would argue that the current IAB's and RSOC's 
interpretation of that RFC has strayed from the 2009's understanding 
given current events.  But that's probably a better discussion under a 
different subject header.

> - I don't see a lot of value in calling this role a PM, as opposed to 

Yup.   Easy enough to change.

> leadership requirement (i.e., swap the first two bullets).  As has 
> been discussed at length here, the RSE (even interim) is not an editor.

Nope.  The RSE is certainly an editor - the series editor.  For S&G I 
found this: 
https://katelynknox.com/writing-first-humanities-book/acquisitions-editor-vs-series-editor/ 
I would submit that this is exactly what we want from the RSE. (And why 
would we call the position RFC Series Editor if this weren't the 
case?).  The most important role here is the series shepherd as series 
editor.  That implies and wraps the leadership requirement and as such 
is listed first.

> and Publisher.  If I understand the intent here correctly, the idea is 
> that this PM is not PM'ing the RPC, but rather observing and opining 
> on their performance (and providing advice as necessary), as input to 
> someone at the LLC who actually manages that contract.  But that seems 
> in conflict with the deliverables that use verbs like "coordinate" and 
> "resolve issues".  It would be good to clarify this, probably in the 

Yes and no.   If I had my way, I'd make the PM the technical liaison 
between the LLC and the RPC with a careful set of descriptions as to the 
guidance and "direction" the PM is allowed to give.  Same model as RSOC 
to the PM, except accounting for what we're asking from the RPC and the 
PM in terms of global vs specific skill sets.  There's a whole lot of 
difference between providing direction to the RPC and the (ideally very 
small) level of oversight a senior person needs.

The section does need tweaking, but I did try to mimic the language of 
the RSOC's draft SOW to the greatest extent possible.   Let's see where 
it goes - I'm not adverse to changes to deconflict the sections.

> - As others have noted, the April 1 RFCs belong to the ISE, not the RSE.

Yup.  On the edit list.

Mike

---

From: Sarah Banks <[email-masked]>
Date: Tue, 10 Sep 2019 17:34:21 -0700

Folks,
	Rather than reply to each thread, let me try to clarify.

What we were trying to do:
====================
	The new SOW was proposed as a way to "keep the RFCs flowing", during a time where we have another contractor (2, actually, for the RPC functions) who today, rely on the ability to lean on the RSE (Heather) for any issues that arise. We pay for that function. Separately, we also seem to loosely agree that the new format work and tools need to be seen through delivery. The SOW was written with those 2 goals in mind, and an attempt to add language to say "look, something small might arise here or there and we want the process of "discussing it and mutually agreeing to take it on or not" to apply". 

What we were trying expressly to avoid doing:
====================
	We wanted to avoid any text that would lead folks to think the RSOC was steering the conversation. We do not want to do that, and we were extra sensitive to the feedback coming in.
	We also wanted to reuse the previous SOW, since the community had already seen it, thinking that it would be easier for us to use an SOW that the community had already approved, and this too would lessen the concern that "the RSOC is steering the conversation". It's slightly ironic that this is exactly what it seems to HAVE done, for some folks. Let me be clear; that is NOT the intent here. Roughly speaking, I don't think anyone on the RSOC is married to the "the candidate must have previous draft authoring experience" or some such. It's easy enough to add or remove from the qualifications list. I believe we should do that, still.
	We used the term "temporary RFC Series Project Manager" specifically so the words "RSE" or "interim RSE" or some variation of that would be avoided. This was expressly done to again, avoid the notion that the RSOC was steering the RSE role in some way, adding or removing some sort of "power" or authority to the role, etc etc. Again, I'm not sure the RSOC Is married to WHAT the role is called, but more so that if we agree with what Heather proposed on stage, that we need someone to help with the tactical aspects of her role while the rest is figured out, then the SOW should cover those tactical items, provide some sanity to the insanity so that we get bids, and we move on.
	Last, I think the RSOC believes in the approach that was laid out; we wanted to keep documents moving while the community chats. The SOW was NOT intended to be the "and here's what we think stunk about RFC6635, so we'll change the text in this SOW!". That approach specifically steers the conversation into a POV that I believe we don't have consensus on. Should we discuss it? Absolutely! Is the SOW the appropriate place, given the approach the RSOC was attempting to conform to? Absolutely not. (Speaking for myself, with the community member hat on). 

---

Speaking mostly for myself here:
	I look forward to the meetings that Heather has set up, and I look forward to hearing what folks want and don't want. I do not support cramming that discussion into an SOW that has a 2 week comment period on it (well, with new text, I don't know, does that mean a new period started? I think it's moot - I'm happy to be proven wrong, but i've not seen us move as a community on something so contentious in a short period of time). i DO support having the meetings that Heather, the current RSE (not the RSOC, not the IAB, not anyone else we've had a problem with) is leading - and I  sincerely hope we find a constructive way to communicate. 

	RFC6635: I think we are wildly out of process; there's no RFC that covers the scenario where "the RSE isn't renewing, but the community doesn't want to go through the process described in RFC6635 again". So what do you do? The proposal at hand was to take Heather's proposal from the plenary at IETF105 and implement that via the second SOW the RSOC shared, and then begin the community discussion and answer some of the harder questions in those first sets of meetings, or figure out how we would get to an answer, at least. The first is based on the proposal from the RSE herself (although she's free to let the RSOC know if we misunderstood her). The second is wholly centered on community conversation and discussion. yes, we're out of process, but in that sense I feel the spirit of the IETF is to, when we disagree or want to evolve, then we talk, figure it out, come to (rough) consensus (or running code!) and evolve. So for the most part, RFC6635 doesn't apply here in the evolution sense
 , but in the short term, keeping the "reporting structure" and the process for amending goals on a list to me, make sense to keep as is, since we understand them. those constructs from RFC6635 do make sense to me. We may not like them, but we (as a community) understand them. The RSOC and IAB are bodies in place to help with that, and there's been a huge effort to be very transparent with the community in light of the mistakes we've made. Is it the end of the world if the interim project manager (or whatever we call them) "reports" to the RSOC, particularly given the limited scope of work and the contract that allows for 1 extension in an extraordinary case? It seems to me that this is on the low end of the list of things we should be spending our time on, in light of the larger evolution discussion. 

	I hope this helps. 

Thanks,
Sarah

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 11 Sep 2019 13:10:22 +1200

(Added rfc-interest back in)
On 11-Sep-19 11:44, Sarah Banks wrote:
> Hi Brian,
>    The point was to have the "what do we want next" discussion under the meetings that Heather is organizing. As a community member, I don't want any SOW steering that; if we really need someone now, let them be guided by what we have today, and let us have that discussion thoroughly and come to whatever consensus we can achieve. I'm deeply concerned that conflating the two in the SOW is off mark at best, and unfair to everyone who's indicated they have different opinions. What's wrong with the proposal to have someone keep the documents flowing while we have that discussion? 

Nothing; I read Mike's proposal as completely compatible with that objective.

    Brian

> If I'm wrong, and the community believes we can achieve consensus in a 2 week comment period, by all means, I'll get onboard :) 
> 
> Thanks
> Sarah
> 
>> On Sep 10, 2019, at 4:02 PM, Brian E Carpenter <[email-masked]> wrote:
>>

---

From: S Moonesamy <[email-masked]>
Date: Wed, 11 Sep 2019 01:50:56 -0700

Hi Brian,
At 01:38 PM 10-09-2019, Brian E Carpenter wrote:
>Do we really need to worry about that? This is a time of change and 
>I don't think it matters if we deviate from the letter of a 

The document is an IAB RFC.  It discusses about a version of the RFC 
Editor Model, as viewed in 2012.  What is the purpose of the IAB 
members (listed in Section 7) approving what was written on that 
topic if nobody worries about what is written in the document?

Regards,
S. Moonesamy

---

From: Stephen Farrell <[email-masked]>
Date: Wed, 11 Sep 2019 10:03:35 +0100

Hiya,

On 11/09/2019 09:50, S Moonesamy wrote:
> Editor Model, as viewed in 2012.  What is the purpose of the IAB members
> (listed in Section 7) approving what was written on that topic if nobody
> worries about what is written in the document?

I think a lot of people are worrying about what is stated
in 6635 at the moment:-)

That includes the current IAB who are supportive of RSOC
in how they've trying to keep RFCs rolling whilst the
community figure out what to do about possible changes to
6635. See Ted's mail on that. [1]

Personally, I figure that means that RSOC need to be allowed
some latitude here and we ought not insist on this SOW
following every single line of 6635.

I also hope we resist the temptation to try make the SOW
a proxy for the discussion about what to do about 6635. I
don't see how any of us would really benefit if we tried
that - the bigger discussion will have to happen in any
case.

Cheers,
S.

[1] https://mailarchive.ietf.org/arch/msg/ietf/M2d85XpOOR4tm78yGyh205iJWJc

---

From: S Moonesamy <[email-masked]>
Date: Wed, 11 Sep 2019 02:54:07 -0700

Hi Stephen,
>I think a lot of people are worrying about what is stated

Ok.

>following every single line of 6635.

It is up to the RSOC to convince whomever needs to be convinced.

>that - the bigger discussion will have to happen in any

It is likely that the SOW will follow its course.  The discussion of 
RFC 6635 is bound to happen at some point.  I did not ask when it 
would happen as it is interesting to watch the show. :-)

Regards,
S. Moonesamy

---

From: Richard Barnes <[email-masked]>
Date: Tue, 10 Sep 2019 16:00:57 -0400

Hi Mike,

Thanks for taking the time to put this together.  It looks much more like
what I would expect an SOW / JD to look like than prior drafts.

Unfortunately, I don't think it's a suitable starting point for a process
that is premised on RFC 6635.  Despite the fact that you've called it a PM,
the contractor being engaged here will act as RSE, even if only on an
interim basis.  So RFC 6635 clearly applies.

This draft disclaims or contradicts RFC 6635 at a few points.
Specifically, the paragraphs in the summary starting "The PM, as acting
RSE, ..." and "The general responsibilities..." are incompatible with RFC
6635, and the "Reporting Relationships" section significantly underplays
the role of the RSOC.

One of the foundational ideas in forming the LLC was that it would follow
the will of the community, and RFC 6635 encodes the community's expectation
of how the RSE role should be realized.  So it is incumbent on the LLC to
follow the RFC (including, for example, facilitating the RSOC's oversight),
and this solicitation needs to reflect that.

In case the RSOC does choose to use draw on this document, a couple of more
specific comments are below.

--Richard

- I don't see a lot of value in calling this role a PM, as opposed to just
a temporary RSE.

- There's still some ambiguity here about the relationship to the RPC and
Publisher.  If I understand the intent here correctly, the idea is that
this PM is not PM'ing the RPC, but rather observing and opining on their
performance (and providing advice as necessary), as input to someone at the
LLC who actually manages that contract.  But that seems in conflict with
the deliverables that use verbs like "coordinate" and "resolve issues".  It
would be good to clarify this, probably in the "Reporting Relationships"
section.

---

From: Richard Barnes <[email-masked]>
Date: Tue, 10 Sep 2019 16:59:21 -0400

Even if one disagrees with the content of RFC 6635 (which we probably all
do, in different ways), there are other, non-Informational documents that
specify how to replace it with something that has community consensus.  And
this ain’t it.

—Richard

---

From: Richard Barnes <[email-masked]>
Date: Tue, 10 Sep 2019 18:06:19 -0400

Mike’s proposal seems even weirder through your lens, though, since it does
not describe a caretaker RSE role, but rather a full on RSE in every regard
except the application of the oversight specified in RFC 6635.

—RLB